package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author JCB
 * @since 2022-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CompanyDataVo implements Serializable {

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 组织机构编码
     */
    private String organization;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 单位类型
     */
    private String companyType;

    /**
     * 单位详细地址
     */
    private String address;

    /**
     * 火灾危险性
     */
    private String fireHazard;

    /**
     * 单位联系电话
     */
    private String linkPhone;

    /**
     * 单位成立时间
     */
    private LocalDateTime foundTime;

    /**
     * 单位性质
     */
    private Integer companyNature;

    /**
     * 行政区域
     */
    private String administrativeDivision;

    private Integer id1;

    /**
     * 固定资产（单位：万元）
     */
    private String fixedAssets;

    /**
     * 占地面积
     */
    private String coverArea;

    /**
     * 建筑面积
     */
    private String buildArea;

    /**
     * 职工人数
     */
    private String employeeNum;

    /**
     * 单位主属性
     */
    private String mainAttribute;

    /**
     * 管辖机构（含大队）
     */
    private String governBody;

    private Integer id2;

    /**
     * 消防安全责任人姓名
     */
    private String fireDutyName;

    /**
     * 消防安全管理人姓名
     */
    private String fireManageName;

    /**
     * 法人代表姓名
     */
    private String delegateName;

}
